FERROR(3)

NAME
clearerr, feof, ferror, fileno - check and reset stream status

SYNOPSIS
#include <stdio.h>
void
clearerr(FILE *stream);
int
feof(FILE *stream);
int
ferror(FILE *stream);
int
fileno(FILE *stream);

DESCRIPTION
The function clearerr() clears the end-of-file and error indicators for the stream pointed to by stream.

The function feof() tests the end-of-file indicator for the stream pointed to by stream, returning non-zero if it is set. The end-of-file indicator can only be cleared by the function clearerr().

The function ferror() tests the error indicator for the stream pointed to by stream, returning non-zero if it is set. The error indicator can only be reset by the clearerr() function.

The function fileno() examines the argument stream and returns its integer descriptor.

ERRORS
These functions should not fail and do not set the external variable errno.

SEE ALSO
open(2), stdio(3)

STANDARDS
The functions clearerr(), feof(), and ferror() conform to ansiC.